v4l-conf(8)

NAME
v4l-conf - configure a video4linux driver

SYNOPSIS
v4l-conf [ options ]

DESCRIPTION
v4l-conf is a small helper tool. It figures out the video mode and framebuffer base address of the graphics board and configures a video4linux driver like bttv. This is needed for drivers which can DMA the video over PCI directly into the video memory.

Usually it is not required to use v4l-conf manually, xawtv(1) and fbtv(1) run it automatically at startup. It might be useful for trouble-shooting. v4l-conf must be installed suid-root.

v4l-conf knows three ways to get the informations:

*   Query the X-Server using the XF86 DGA extension. This is the default if the DISPLAY environment variable is set.

*   Query the framebuffer driver. This is the default if DISPLAY is not set.

*   Query the console driver. This is used on mklinux only.

OPTIONS

-h  Print a short description of all command line options.

-q  Be quiet.

-d dpy
    Use the X11 display dpy to get the parameters.

-f  Use the framebuffer driver to get the parameters.

-c device
    Set the video4linux device.

-b n
    enforce n bpp color depth. Works for switching between 15/16 and 24/32 bpp.

-s n
    Shift the video display by n bytes.

-a adr
    Set framebuffer address to adr. The value should be specified in hex. This option is allowed for root only. You can't overwrite the autodetected value, this switch is only useful if autodetect doesn't work because the X-Server lacks DGA support. You can put this into /etc/conf.modules, as "post-install bttv ..." for example.

-p pitch
    Set framebuffer pitch to pitch bytes. The value should be specified in decimal. Allowed for root only.

BUGS
Hope I haven't any security flaws in there. If you find one, drop me a note. Mails with patches are preferred :-)

SEE ALSO
xawtv(1), fbtv(1)

AUTHOR
Gerd Knorr <kraxel@goldbach.in-berlin.de>

COPYRIGHT
Copyright (C) 1997-99 Gerd Knorr <kraxel@goldbach.in-berlin.de>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.